Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Subversive » Possible problems during Subversive installation...
Possible problems during Subversive installation... [message #32953] Wed, 27 August 2008 14:19 Go to next message
Alexei Goncharov is currently offline Alexei Goncharov
Messages: 35
Registered: July 2009
Member
Possible problems during Subversive installation and suggested ways to
avoid or solve them.

On account of a lot of complaints and questions on installation process,
caused by different reasons, the Subversive Team would like to address all
Subversive users and try to help. Some of the problems you are facing were
already faced by us also, so we will try to show our vision on them and
give you some advices how to avoid or solve them. If you do know some
other problems and ways of avoiding/solving them please don't be shy to
add your experience to this statement.

When you are trying to install Subversive from remote update-site always
make sure that there is «Subversive SVN Team Provider (Incubation)»
feature offered to be installed from «Subversive SVN Team Provider Plugin
(Incubation)» category. This is the main feature and it is sometimes not
shown due to some Update Manager problems (see
https://bugs.eclipse.org/bugs/show_bug.cgi?id=245378 for details). Please
note that the feature with the same name exists also in «Uncategorized»
category — this is the Source Feature for the core plug-in, not core
itself. This was also discussed in the precycle of 3.4 and Eclipse
developers came to a conclusion that putting such features to
«Uncategorized» but not as a children of main Source Feature is a right
solution.

So if there is no «Subversive SVN Team Provider (Incubation)» feature
offered by Update Manager the plug-in can't be installed normally from
remote update site. The solution is to download archived update-site (the
URL can be found on http://www.eclipse.org/subversive/downloads.php),
point the Update Manager to this site and perform the installation locally.

If you are using proxy to connect to the internet always make sure the
proxy settings are specified correctly on 'Network Connections' preference
page (Window → Preferences → General). Wrong proxy
configuration may cause plug-in installation problems in future. Also if
it's possible it is highly recommended to clear proxy cache before
performing the plug-in installation.

If you are installing Subversive locally and Mylyn Integration is the one
of the features to be installed, make sure the internet connection is idle
and the proxy settings are specified correctly, cause the Update Manager
may also try to install compatible version of Mylyn into your environment.

The Update Manager also caches the data it reads from the update-site, so
sometimes a simple click on 'Refresh' button can help you to get the
«Subversive SVN Team Provider (Incubation)» feature offered for
installation.

Also please note that to make Subversive work with SVN the compatible SVN
Connectors must be installed. The compartible connectors for Subversive
release provided within Ganymede distribution are located on .../2.0
/ganimede-site/ update site (the first part of the URL is simmilar for all
update sites — see
http://www.polarion.com/products/svn/subversive.php?src=ecli pseproject).
The connectors for the stable releases are located on .../2.0/update-site,
and for Subversive weekly builds on .../2.0/weekly-site/.

In the end we would like to mention that the most stable (not most
comfortable of course) is installing it from archived update-site.

Best regards, Subversive Team.
Re: Possible problems during Subversive installation... [message #33270 is a reply to message #32953] Tue, 02 September 2008 16:31 Go to previous message
Carsten Pfeiffer is currently offline Carsten Pfeiffer
Messages: 34
Registered: July 2009
Member
Alexei Goncharov wrote:

Hi,

> Also please note that to make Subversive work with SVN the compatible SVN
> Connectors must be installed. The compartible connectors for Subversive
> release provided within Ganymede distribution are located on .../2.0
> /ganimede-site/ update site (the first part of the URL is simmilar for all
> update sites — see
> http://www.polarion.com/products/svn/subversive.php?src=ecli pseproject).
> The connectors for the stable releases are located on .../2.0/update-site,
> and for Subversive weekly builds on .../2.0/weekly-site/.
>
> In the end we would like to mention that the most stable (not most
> comfortable of course) is installing it from archived update-site.

is there an archived update-site for the connectors somewhere? I cannot
update the connectors from 2.0.1 to 2.0.3 for some strange reason. And I
cannot uninstall 2.0.1 either.

Thanks,
Carsten
Previous Topic:[Subversive] ChangeSet
Next Topic:Checking out a project
Goto Forum:
  


Current Time: Sat Oct 25 23:06:03 GMT 2014

Powered by FUDForum. Page generated in 0.01531 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software